
use XML::Generator;
use Time::Local 'timelocal_nocheck';

my $xml = XML::Generator->new(escape => 'always',
                                 pretty => 2,
                                 conformance => 'strict');
my $author_page_URL;
my $xml_file;
my $totaltime;
my $zipurl;
my $ss;
my $zipfile;
my @files;
my @platforms;
my @platformslinks;
my $count=-1;
my $now=gmtime;
my ($dtmax,$dwmax);
use Tie::Hash::Rank;
  tie my %total_downloads, 'Tie::Hash::Rank';
  tie my %week_downloads, 'Tie::Hash::Rank';

use LWP::Simple;	#module for transferring HTML
my @gen_stats;	#general statistics
print "This program makes a report of all file statistics of your files at ticalc.org\n";
chomp($author_page_URL=shift);	#loads argument
if (not defined $author_page_URL) {
print "Enter your author page URL here (winNT users:Paste->right mouse click) :";
chomp($author_page_URL=<STDIN>)};	#ask for user input if no argument is given;

print "\n\nTransferring author page...\n";

my @authorpage=split/\n/,get($author_page_URL) or die "could not downloaded file author page";

print "Loading file categories...\n";
my @cat=split/\n/,get("http://www.ticalc.org/pub/") or die "could not downloaded file author page";
			
for (@cat) {
if (/^<B>([^<\n]+)/) {my $c=$1; $c =~ s/ Files//;$c =~ s/ Utilities//;push @platforms,$c;}
if (/^<B><A HREF=\"([^\"]+)/) {push @platformslinks,$1;}
;}
close CAT;


my $trigger;
my $trigger2;
my $ref;
my $status;
my $zip;
$xml_file = '<?xml version="1.0"  encoding="iso-8859-1"?>'."\n";
$xml_file .= '<?xml-stylesheet type="text/xsl" href="sss.xsl"?>';



for (@authorpage) {chomp;				#loop through the author page
	if (/busiest authors/) {		#watch for the general stat header
		for(my $cnt=0;$cnt<6;$cnt++) {
		s/(\d+) /x/;			#detects numbers and replaces them with x
		push @gen_stats,$1;}		#put those numbers in an array
		$xml_file .= $xml->general($xml->num_files({rank => $gen_stats[0]},$gen_stats[1]),
			$xml->total_download({rank => $gen_stats[2]},$gen_stats[3]),
			$xml->week_download({rank => $gen_stats[4]},$gen_stats[5]))."\n";
					#generates XML
		undef @gen_stats;
	}
	if (not defined $trigger) {if (/TITLE>(.*?) -/) {$xml_file .= "<statistics owner=\"$1\" URL=\"$author_page_URL\">\n";$xml_file .= $xml->noXSLT("----&gt;Your browser doesn't support XSLT, try Internet Explorer 6&lt;----")."\n";$trigger=1};};
	if ($trigger2==2) {/>([^<>]+)</; my $name=$1;		#file name is found between > and <
		print "processing...";		
		my @FILE=split/\n/,get("http://www.ticalc.org/".$ref) or die "could not downloaded file author page";	
		push @files,$name;			
		$count++;
		my $attname;
		$xml_file .= "<FILE name=\"$name\" URL=\"$ref\" cnt=\"$count\" status=\"$status\">\n";
		my $trigger3;
		print "  $name\n";
		my $store_ =$_;
		while (@FILE) {$_=shift @FILE;chomp;
			if (/Ranked as/) {
				for(my $cnt=0;$cnt<7;$cnt++) {
				s/(\d+)[ \.]/x/;    #detects numbers and replaces them with x
				push @gen_stats,$1;}	#put those numbers in an array
				$total_downloads{$count}=$gen_stats[1];
				$week_downloads{$count}=$gen_stats[3];
				if ($gen_stats[1] and not $gen_stats[3]) {$gen_stats[3]=0};
				$xml_file .= "  ".$xml->total_download({rank => $gen_stats[0]},$gen_stats[1])."\n";
				$xml_file .= "  ".$xml->week_download({rank => $gen_stats[2]},$gen_stats[3])."\n";
				if ($gen_stats[4]) {$xml_file .= "  ".$xml->Rating({rank => $gen_stats[4]},"$gen_stats[5].$gen_stats[6]")."\n"};
				if ($gen_stats[1]>$dtmax) {$dtmax=$gen_stats[1]};
				if ($gen_stats[3]>$dwmax) {$dwmax=$gen_stats[3]};
				undef @gen_stats;
				}
			if ($trigger3==2 and (/^[^<]/) and not(/^Author/ or /^Category/)) { #checks if line starts not with < or Author or Category
				s/\s+/ /;
				my $des=$_;

				my $store=$_;

				while (@FILE) {$_=shift @FILE;chomp;if (/^</ and not /^<br>/) {last};$des.=$_;}	#read all lines not starting with <

				$_=$store;
				$des =~ s/>/&gt;/g;
				$des =~ s/</&lt;/g;	#replace illegal XML chars |||||||
				if ($attname eq "File_Date_and_Time") {$xml_file .= "  ".$xml->$attname({epsec => string2epsec($des)},$des)."\n";
				$totaltime +=string2epsec($des);
				} elsif ($attname eq "File_Size"){$xml_file .= "  ".$xml->$attname({bytes => unformat($des)},$des)."\n";
				} else {$xml_file .= "  ".$xml->$attname($des)."\n";}
				$trigger3=9;}
			if ((/^Title/) and $trigger3==undef) {$trigger3=1;}
			if (($trigger3==1) and (/^[^<]/) and not(/^Author/ or /^Category/)) {s/ /_/g;$attname=$_;$trigger3=2;}	
			if ($trigger3==9) {$trigger3=1;}
			if (/\d\d:\d\d:\d\d/) {$trigger3=10;}
			if ($trigger3==1 and /^<B><A HREF="(.*)">(.*)<\/A/) {my $cat=$2;my $url=$1;
				my $match=-1;
				for (0..scalar(@platforms)-1) {
				my $s=$platforms[$_];
				if ($cat =~ /^$s/i) {$match=$_;}		
				}
				if ($match==-1) {for (0..scalar(@platforms)-1) {if ($platforms[$_] =~ /Informational/i) {$match=$_;$cat=~ s/Informational Files//i;$cat="Informational $cat";};};}

				my $s=$platforms[$match];

				$cat=~ /^($s) (.*)/i;
				my $pl=$1;$cat=$2;my $type;
				if ($cat=~ /^Assembly (.*)/i) {$type="ASM";$cat=$1;}
				if ($cat=~ /^BASIC (.*)/i) {$type="BASIC";$cat=$1;}
				if ($cat=~ /^Flash (.*)/i) {$type="FLASH";$cat=$1;}
				$cat=~ s/Programs$//i;
				$pl =~ s/ plus/ +/i;
				$xml_file .= "  ".$xml->Platform({URL => $platformslinks[$match]},$pl)."\n";
				if ($type) {$xml_file .= "  ".$xml->Type($type)."\n";}
				$xml_file .= "  ".$xml->Category({URL => $url},$cat)."\n";}
			if ($trigger3==10 and /&nbsp;&nbsp;&nbsp;<\/TD>/) {
				if(/<A HREF=\"(.+)\"/) {$zipurl=$1;/>(.*)<\/A>/; $zipfile=$1; } else {
				undef $zipurl;/^(.*)&nbsp;&nbsp;&nbsp;/; $zipfile=$1; };}
			if ($trigger3==10 and /^<TD class=t1 ALIGN=RIGHT>(.+)</ and $1) {if ($zipurl) {
				$zip .= "      ".$xml->File({bytes => $1, URL => $zipurl},$zipfile)."\n";} else {
				$zip .= "      ".$xml->File({bytes => $1},$zipfile)."\n";
				};}
			if ($zip and /^REPORT INAPPROPRIATE FILES/) {$xml_file .= "  <Zip>\n$zip  </Zip>\n"; undef $zip;last;}
			if ($trigger3==10 and /<IMG SRC="(\/archives\/files\/ss\/.*?)"/) {$ss .= "      ".$xml->ss($1)."\n";}
			if ($trigger3==10 and $ss and /^If you have downloaded and tried this program, please rate it on the scale below/) {$xml_file .= "  <screenshots>\n$ss  </screenshots>\n";undef $ss;}
		}
		$_=$store_;
		close FILE;	
		$xml_file .= "</FILE>\n";
	$trigger2++;}
	if ($trigger2==1) {/^<A HREF=\"([^\"]*)\"><IMG BORDER=\"0\" SRC=\"(.*?)\"/;$ref=$1;$status=$2;$trigger2++;}
	if ($trigger2==undef and (/TD class=t1 VALIGN="TOP"/)) {$trigger2=1;}
	if (($trigger2==3) and (/<TR BGCOLOR/)) {undef $trigger2;}
}
  my  $now_string = localtime $totaltime/($count+1);
$xml_file .= $xml->MEANDATE({epsec => $totaltime/($count+1)},$now_string)."\n";

print "calculating private ranking...\n";
my ($wmax,$tmax);
for ($a=0;$a<@files;$a++) {$xml_file .= $xml->PR({n => $a,w => $week_downloads{$a}, t=> $total_downloads{$a}})."\n";
					if ($week_downloads{$a}>$wmax) {$wmax=$week_downloads{$a}};if ($total_downloads{$a}>$tmax) {$tmax=$total_downloads{$a}};}
		#generate ranking data
$xml_file .= $xml->PRMAX({w=> $wmax,t => $tmax})."\n";
$xml_file .= $xml->DMAX({w=>$dwmax,t=>$dtmax})."\n";
print "generating XML...\n";
$xml_file .= $xml->CREATETIME({zone => 'GMT'},$now)."\n";
$xml_file .= '<definitions>
	<item select="./Title">text</item>
	<item select="string-length(./Description)">number</item>
	<item select="./@name">text</item>
	<item select="./Category">text</item>
	<item select="./Type">text</item>
	<item select="./Platform">text</item>
	<item select="./week_download">number</item>
	<item select="./total_download">number</item>
	<item select="./Rating">number</item>
	<item select="string-length(./Title)">number</item>
	<item select="./@status">text</item>
	<item select="./File_Size/@bytes">number</item>
	<item select="sum(./Zip/File/@bytes)">number</item>
	<item select="./File_Date_and_Time/@epsec">number</item>
	<item select="count(./Zip/File)">number</item>
	<item select="substring-after(./@name,\'.\')">text</item>
	<item select="count(./screenshots/ss)">number</item>
	<item select="string-length(./Description) - string-length(translate(./Description,\'!\',\'\'))">number</item>
	<item select="count(./Zip/File[@URL])">number</item>
</definitions>';
$xml_file .= '</statistics>';				
open XML ,">report.xml";
print XML $xml_file;
close XML;
close DATA;
print "deleting temporary files...\n";
print "Opening XML with XSL-stylesheet...\n";

print `report.xml`;	#print this line into a shell

open BAT,">shortcut.bat";
print BAT "TIreport.pl $author_page_URL";
close BAT;


sub string2epsec{
my $mon;
my @month= qw(Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec);
my $time=shift;
$time =~ /\w+ (\w+) +(\d+) (\d+):(\d+):(\d+) (\d+)/;
for (my $x=0;$x<12;$x++) {
if ($month[$x] eq $1) {$mon=$x;}}
timelocal_nocheck($5,$4,$3,$2,$mon,$6);
}
sub unformat {
my $str=shift;
$str=~s/,//g;
my ($size,$units)=split(/ /,$str);
if (lc($units)=~ /k/) {$size *= 1024;$units="bytes";}
if (lc($units)=~/m/) {$size *= 1024*1024;$units="bytes";}
return $size;
}


