<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="html"/>
<xsl:param name="column">name</xsl:param>
<xsl:param name="Name" select="1"/>
<xsl:param name="zip" select="0"/>
<xsl:param name="ss" select="0"/>
<xsl:param name="File_Size" select="0"/>
<xsl:param name="File_Date_and_Time" select="0"/>
<xsl:param name="Platform" select="1"/>
<xsl:param name="Type" select="1"/>
<xsl:param name="Title" select="1"/>
<xsl:param name="Category" select="1"/>
<xsl:param name="total_download_PR" select="0"/>
<xsl:param name="total_download_bar" select="1"/>
<xsl:param name="total_download_value" select="1"/>
<xsl:param name="total_download_rank" select="1"/>
<xsl:param name="week_download_PR" select="0"/>
<xsl:param name="week_download_bar" select="1"/>
<xsl:param name="week_download_value" select="1"/>
<xsl:param name="week_download_rank" select="1"/>
<xsl:param name="rating_bar" select="1"/>
<xsl:param name="rating_rank" select="1"/>

<xsl:param name="barwidth" select="3"/>
<xsl:param name="order">ascending</xsl:param>
<xsl:param name="sortBy">ascending</xsl:param>
<xsl:param name="WeekRef"><xsl:value-of select="//DMAX/@w"/></xsl:param>
<xsl:param name="TotalRef"><xsl:value-of select="//DMAX/@t"/></xsl:param>
<xsl:variable name="click">click to sort by</xsl:variable>
<xsl:variable name="now">&#13;(at this moment the Table is sorted by </xsl:variable>



<xsl:template match="/">

<HTML>
<HEAD>
<link rel="stylesheet" type="text/css" href="TIreport.css"/>
<style type="text/css">
td.ind {width: <xsl:value-of select="$barwidth*20"/>px}
td.ind2 {width: <xsl:value-of select="$barwidth*20"/>px}
</style>
<script language="javascript" type="text/javascript">
function RefP(ref,n) {
window.status= "Changing reference point... (" + ref + " ... "+ n +")";
var appName = navigator.appName;
if (appName == 'Microsoft Internet Explorer')
    {
    IEtransform("",ref,n);
    return;
    }
if (appName != 'Microsoft Internet Explorer')
    {
    MOZtransform("",ref,n);
    return;
    }
};

function sort(queryText)
{
var appName = navigator.appName;

if (appName == 'Microsoft Internet Explorer')
    {
    IEtransform(queryText,"",0);
    return;
    }
if (appName != 'Microsoft Internet Explorer')
    {
    MOZtransform(queryText,"",0);
    return;
    }
};

function disable_image(node)
{
var img=node.getElementsByTagName('IMG');
 for (var i = 0;i != img.length ; i++) {
	img[i].setAttribute('src','');
};
}

function enable_image(node)
{
var img=node.getElementsByTagName('IMG');
 for (var i = 0;i != img.length ; i++) {
	img[i].setAttribute('src',img[i].getAttribute('url'));
};
}
function settrestore() {
		var settings=readCookie("TIreportsettings");	
		if (settings=="") {return;}
		for (var i=0;i !=document.FIELDS.elements.length-1;i++) {
		if (settings.charAt(i)=="0") {
		document.FIELDS.elements[i].checked=false;
		} else {
		document.FIELDS.elements[i].checked=true;
		}}
		sort('');
}
function tooltip(obj) {
if (navigator.appName == 'Microsoft Internet Explorer')
    {
var span=document.getElementsByTagName("span");
span[span.length-1].innerHTML=obj.getElementsByTagName("span")[0].innerHTML;
span[span.length-1].style.top=(document.body.scrollTop+1)+"px";
span[span.length-1].style.display="block";
}
}
function MOZtransform(queryText,ref,n)
{
		var settings="";
		for (var i=0;i !=document.FIELDS.elements.length-2;i++) {
		if (document.FIELDS.elements[i].checked==false) {
		settings +="0";
		} else {
		settings +="1";
		}}
		var exp;
		exp=new Date;
		exp.setMonth(exp.getMonth()+1);
		var prevsettings=readCookie("TIreportsettings");
		if (prevsettings!=settings) {document.cookie="TIreportsettings="+settings+";expires="+exp.toGMTString();}

var xsl;
var xml;
var xslurl = 'sss.xsl';
var xmlurl = 'report.xml';
try
    {

    xml = document.implementation.createDocument("", "xml", null);
    xml.async = false;
    xml.load (xmlurl);
    }
catch(e)
    { 
    alert('error: load xml: ' + e.message); 
    }
try 
	{

    xsl = document.implementation.createDocument("", "xslt", null);
    xsl.async = false;
    xsl.load (xslurl);

		var order="ascending";
		var cookie =readCookie("lastclickedcolumn");	
var column=queryText;
	if (column=="") {
   		 var queryTemplate = xsl.getElementsByTagName('sort')[0];
		column= queryTemplate.getAttribute ('select')	
		order=queryTemplate.getAttribute ('order')
		window.status= "Changing reference point... (" + ref + " ... "+ n +")";
		}
	else {

		if (column == cookie) {document.cookie="lastclickedcolumn=D"+column;order="descending";} else {document.cookie="lastclickedcolumn="+column;}
		window.status="Sorting by "+column+"...";
	}	
var queryText=column;
    var queryTemplate = xsl.getElementsByTagName('sort')[0];
    var qT = xml.getElementsByTagName('definitions')[0];
		queryTemplate.setAttribute ('select', queryText);
		queryTemplate.setAttribute ('order', order);

 for (var i = 0;i != qT.childNodes.length -1 ; i++)
    {  

var type;
switch (qT.childNodes.item(i).nodeType) 
    {
    case Node.ELEMENT_NODE: 
if (qT.childNodes.item(i).getAttribute("select") == queryText) {type=qT.childNodes.item(i).childNodes[0].nodeValue;};
      break;}

}

		queryTemplate.setAttribute ('data-type', type);
   }
catch(e)
    { 
    alert('error: modify xsl: ' + e.message); 
    }


try 
    { 	
this.objXMLSerializer = new XMLSerializer;
    var xslp = new XSLTProcessor();
    xslp.importStylesheet ( xsl );
	if (ref !="") {xslp.setParameter(null ,ref, n);}
		for (var i=0;i !=document.FIELDS.elements.length-1;i++) {
		if (document.FIELDS.elements[i].checked==false) {
		xslp.setParameter(null,document.FIELDS.elements[i].name,0);
		} else {
		xslp.setParameter(null,document.FIELDS.elements[i].name,1);
		}}
		for (var i=0;i !=document.FIELDS.width.length;i++) {
		if (document.FIELDS.width[i].checked==true) {xslp.setParameter(null,"barwidth",i+1);}
		;
		};
    var results = xslp.transformToDocument(xml);
var str=this.objXMLSerializer.serializeToString(results);
		
var myWin = window.open("", "TIreport");
	
myWin.document.write(str);
myWin.document.close();
myWin.focus();

    }
catch(e)
    {
    alert('error: do xslt: ' + e.message); 
    }
}   
function IEtransform(column,ref,n){
	try{
		var settings="";
		for (var i=0;i !=document.FIELDS.elements.length-2;i++) {
		if (FIELDS.elements[i].checked==false) {
		settings +="0";
		} else {
		settings +="1";
		}}
		var exp;
		exp=new Date;
		exp.setMonth(exp.getMonth()+1);
		var prevsettings=readCookie("TIreportsettings");
		if (prevsettings!=settings) {document.cookie="TIreportsettings="+settings+";expires="+exp.toGMTString();}

	var s = new ActiveXObject("MSXML2.FreeThreadedDOMDocument");

		var x = document.XMLDocument;
		if (x == null){
			x = navigator.XMLDocument;
			s.loadXML(navigator.XSLDocument.xml);
		}else{
		s.loadXML(document.XSLDocument.xml);
		}
		var tem = new ActiveXObject("MSXML2.XSLTemplate");
		var order="ascending";
		var cookie =readCookie("lastclickedcolumn");
	if (column=="") {
		column= s.selectSingleNode("//xsl:sort/@select").text;	
		order=s.selectSingleNode("//xsl:sort/@order").text;
		}
	else {

		if (column == cookie) {document.cookie="lastclickedcolumn=D"+column;order="descending";} else {document.cookie="lastclickedcolumn="+column;}
		window.status="Sorting by "+column+"...";
	}	

		s.selectSingleNode("//xsl:sort/@select").text=column;	
		s.selectSingleNode("//xsl:sort/@order").text=order;
		s.selectSingleNode("//xsl:sort/@data-type").text="{//definitions/item[@select=$column]}";

		tem.stylesheet = s;

		var proc = tem.createProcessor();

		for (var i=0;i !=document.FIELDS.elements.length-2;i++) {
		if (FIELDS.elements[i].checked==false) {
		proc.addParameter(FIELDS.elements[i].name,0);
		settings +="0";
		} else {
		proc.addParameter(FIELDS.elements[i].name,1);
		settings +="1";
		}
		;
		};
		
		for (var i=0;i !=document.FIELDS.width.length;i++) {
		if (FIELDS.width[i].checked==true) {proc.addParameter("barwidth",i+1);}
		;
		};


		proc.addParameter("column", column);
		if (ref !="") {proc.addParameter(ref, n);}
		proc.input = x;
		proc.transform();
		var str = proc.output;	
		var newDoc = document.open("text/html");
		newDoc.write(str);
		navigator.XMLDocument = x;
		navigator.XSLDocument = s;
		newDoc.close();
		window.status="sorted by "+column;
	}catch(exception){
	}
}

function readCookie(cookieName){
   var searchName = cookieName + "="
   var cookies = document.cookie
   var start = cookies.indexOf(cookieName)
   if (start == -1){ // cookie not found 
     return ""
     }
   start += searchName.length //start of the cookie data
   var end = cookies.indexOf(";", start)
   if (end == -1){
     end = cookies.length
     }
   return cookies.substring(start, end)
   }
</script>
</HEAD>
<BODY>

<!-- Document Headers -->
<A target="_blank" HREF="http://www.ticalc.org">
	<IMG SRC="http://www.ticalc.org/images/logo.jpg" WIDTH="500" HEIGHT="90" BORDER="0" ALT="ticalc.org" />
</A>
<br/>
<p>
	<B>
		File statistics at <A target="_blank" href="http://www.ticalc.org">ticalc.org</A> of author: <A target="_blank" HREF="{statistics/@URL}"><xsl:value-of select="statistics/@owner"/></A><BR/>
	</B>
Total files owned: by ticalc: <B><xsl:value-of select="//general/num_files"/></B>(<A target="_blank" HREF="http://www.ticalc.org/archives/files/authors.html#1">rank</A> =  <xsl:value-of select="//general/num_files/@rank"/>)<BR/>
<xsl:if test="count(//FILE) != //general/num_files">Actually: <B><xsl:value-of select="count(//FILE)"/></B>  (some directories don't include ranking)<BR/></xsl:if>
</p>
<!-- Drop down box for advanced sorting -->
<FORM NAME="sorting">
<SELECT NAME="ssorting" onchange="sort(document.sorting.ssorting.options[document.sorting.ssorting.selectedIndex].value);">
	<OPTION SELECTED="true" value="nothing">special sort...</OPTION>
	<OPTION VALUE="./File_Date_and_Time/@epsec"		>Contribution date	</OPTION>
	<OPTION VALUE="./File_Size/@bytes"				>File size			</OPTION>
	<OPTION VALUE="sum(./Zip/File/@bytes)"			>Size when unzipped	</OPTION>
	<OPTION VALUE="string-length(./Description)"		>Description length	</OPTION>
	<OPTION VALUE="string-length(./Title)"			>Title length		</OPTION>
	<OPTION VALUE="./@status"					>File icon			</OPTION>
	<OPTION VALUE="count(./Zip/File)"				># Files in zip		</OPTION>
	<OPTION VALUE="substring-after(./@name,'.')"		>File extension		</OPTION>
	<OPTION VALUE="count(./screenshots/ss)"			># screenshots		</OPTION>
	<OPTION VALUE="string-length(./Description) - string-length(translate(./Description,'!',''))"			># exclamation(!) marks in description</OPTION>
	<OPTION VALUE="count(./Zip/File[@URL])"			># accessible files in zip</OPTION>
</SELECT>
</FORM>
<form name="FIELDS" method="post">
<b><i>Visible columns:</i></b> 
<table>
<tr>
<td class="check" onClick="FIELDS.Name.checked=! FIELDS.Name.checked">
<input type="checkbox" name="Name" value="1" onClick="FIELDS.Name.checked=! FIELDS.Name.checked">
	<xsl:if test="$Name"><xsl:attribute name="checked"/></xsl:if>
</input>
File Name
</td>
<td class="check" onClick="FIELDS.zip.checked=! FIELDS.zip.checked">
<input type="checkbox" name="zip" value="1" onClick="FIELDS.zip.checked=! FIELDS.zip.checked">
	<xsl:if test="$zip"><xsl:attribute name="checked"/></xsl:if>
</input>
zip
</td>
<td class="check" onClick="FIELDS.ss.checked=! FIELDS.ss.checked">
<input type="checkbox" name="ss" value="1" onClick="FIELDS.ss.checked=! FIELDS.ss.checked">
	<xsl:if test="$ss"><xsl:attribute name="checked"/></xsl:if>
</input>
screenshots
</td>
<td class="check" onClick="FIELDS.File_Size.checked=! FIELDS.File_Size.checked">
<input type="checkbox" name="File_Size" value="1" onClick="FIELDS.File_Size.checked=! FIELDS.File_Size.checked">
	<xsl:if test="$File_Size"><xsl:attribute name="checked"/></xsl:if>
</input>
File Size
</td>
<td class="check" onClick="FIELDS.File_Date_and_Time.checked=! FIELDS.File_Date_and_Time.checked">
<input type="checkbox" name="File_Date_and_Time" value="1" onClick="FIELDS.File_Date_and_Time.checked=! FIELDS.File_Date_and_Time.checked">
	<xsl:if test="$File_Date_and_Time"><xsl:attribute name="checked"/></xsl:if>
</input>
File Date
</td>
<td class="check" onClick="FIELDS.Platform.checked=! FIELDS.Platform.checked">
<input type="checkbox" name="Platform" value="1" onClick="FIELDS.Platform.checked=! FIELDS.Platform.checked">
	<xsl:if test="$Platform"><xsl:attribute name="checked"/></xsl:if>
</input>
Calc
</td>
<td class="check" onClick="FIELDS.Type.checked=! FIELDS.Type.checked">
<input type="checkbox" name="Type" value="1" onClick="FIELDS.Type.checked=! FIELDS.Type.checked">
	<xsl:if test="$Type"><xsl:attribute name="checked"/></xsl:if>
</input>
Type
</td>
<td class="check" onClick="FIELDS.Category.checked=! FIELDS.Category.checked">
<input type="checkbox" name="Category" value="1" onClick="FIELDS.Category.checked=! FIELDS.Category.checked">
	<xsl:if test="$Category"><xsl:attribute name="checked"/></xsl:if>
</input>
Category
</td>
<td class="check" onClick="FIELDS.Title.checked=! FIELDS.Title.checked">
<input type="checkbox" name="Title" value="1" onClick="FIELDS.Title.checked=! FIELDS.Title.checked">
	<xsl:if test="$Title"><xsl:attribute name="checked"/></xsl:if>
</input>
Title
</td>
<td class="check" onClick="FIELDS.total_download_PR.checked=! FIELDS.total_download_PR.checked" colspan="2">
<input type="checkbox" name="total_download_PR" value="1" onClick="FIELDS.total_download_PR.checked=! FIELDS.total_download_PR.checked">
	<xsl:if test="$total_download_PR"><xsl:attribute name="checked"/></xsl:if>
</input>
total download private rank
</td>
<td class="check" onClick="FIELDS.total_download_bar.checked=! FIELDS.total_download_bar.checked">
<input type="checkbox" name="total_download_bar" value="1" onClick="FIELDS.total_download_bar.checked=! FIELDS.total_download_bar.checked">
	<xsl:if test="$total_download_bar"><xsl:attribute name="checked"/></xsl:if>
</input>
total download bar
</td>
</tr>
<tr>
<td class="check" onClick="FIELDS.total_download_value.checked=! FIELDS.total_download_value.checked">
<input type="checkbox" name="total_download_value" value="1" onClick="FIELDS.total_download_value.checked=! FIELDS.total_download_value.checked">
	<xsl:if test="$total_download_value"><xsl:attribute name="checked"/></xsl:if>
</input>
total download value
</td>
<td class="check" onClick="FIELDS.total_download_rank.checked=! FIELDS.total_download_rank.checked">
<input type="checkbox" name="total_download_rank" value="1" onClick="FIELDS.total_download_rank.checked=! FIELDS.total_download_rank.checked">
	<xsl:if test="$total_download_rank"><xsl:attribute name="checked"/></xsl:if>
</input>
total download rank
</td>
<td class="check" onClick="FIELDS.week_download_PR.checked=! FIELDS.week_download_PR.checked" colspan="3">
<input type="checkbox" name="week_download_PR" value="1" onClick="FIELDS.week_download_PR.checked=! FIELDS.week_download_PR.checked">
	<xsl:if test="$week_download_PR"><xsl:attribute name="checked"/></xsl:if>
</input>
week download private rank
</td>
<td class="check" onClick="FIELDS.week_download_bar.checked=! FIELDS.week_download_bar.checked" colspan="2">
<input type="checkbox" name="week_download_bar" value="1" onClick="FIELDS.week_download_bar.checked=! FIELDS.week_download_bar.checked">
	<xsl:if test="$week_download_bar"><xsl:attribute name="checked"/></xsl:if>
</input>
week download bar
</td>
<td class="check" onClick="FIELDS.week_download_value.checked=! FIELDS.week_download_value.checked" colspan="2">
<input type="checkbox" name="week_download_value" value="1" onClick="FIELDS.week_download_value.checked=! FIELDS.week_download_value.checked">
	<xsl:if test="$week_download_value"><xsl:attribute name="checked"/></xsl:if>
</input>
week download value
</td>
<td class="check" onClick="FIELDS.week_download_rank.checked=! FIELDS.week_download_rank.checked">
<input type="checkbox" name="week_download_rank" value="1" onClick="FIELDS.week_download_rank.checked=! FIELDS.week_download_rank.checked">
	<xsl:if test="$week_download_rank"><xsl:attribute name="checked"/></xsl:if>
</input>
week download rank
</td>
<td class="check" onClick="FIELDS.rating_bar.checked=! FIELDS.rating_bar.checked">
<input type="checkbox" name="rating_bar" value="1" onClick="FIELDS.rating_bar.checked=! FIELDS.rating_bar.checked">
	<xsl:if test="$rating_bar"><xsl:attribute name="checked"/></xsl:if>
</input>
rating
</td>
<td class="check" onClick="FIELDS.rating_rank.checked=! FIELDS.rating_rank.checked">
<input type="checkbox" name="rating_rank" value="1" onClick="FIELDS.rating_rank.checked=! FIELDS.rating_rank.checked">
	<xsl:if test="$rating_rank"><xsl:attribute name="checked"/></xsl:if>
</input>
rating rank
</td>
</tr>
</table>

<br/>
<b><i>Bar length:</i></b> 
<span class="radio">
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=1"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=2"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=3"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=4"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=5"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=6"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=7"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=8"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=9"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=10"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=11"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=12"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=13"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=14"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=15"><xsl:attribute name="checked"/></xsl:if></input>
<input class="r" type="radio" name="width"><xsl:if test="$barwidth=16"><xsl:attribute name="checked"/></xsl:if></input>
</span>
<br/>
<br/>
<input type="button" value="Refresh table" onClick="sort('')"/>
<input type="button" value="Restore previous settings" onClick="settrestore()"/>
</form>

<div class="note">Click table header to sort or select from the box</div>
<!-- Main information table -->
<TABLE BORDER="0" CELLSPACING="0" class="main">
	<!-- Table Headers -->
	<TR >
		<xsl:if test="$Name">
			<TH title="{$click} File name{$now}{$column})" 		onClick="sort('./@name');"		>File name	</TH>
		</xsl:if>
		<xsl:if test="$zip">
			<TH title="{$click} number of files in zip file{$now}{$column})" 		onClick="sort('count(./Zip/File)');">zip	</TH>
		</xsl:if>
		<xsl:if test="$ss">
			<TH title="{$click} number of screenshots{$now}{$column})" 		onClick="sort('count(./screenshots/ss)');">ss	</TH>
		</xsl:if>
		<xsl:if test="$File_Size">
			<TH title="{$click} File size{$now}{$column})" 		onClick="sort('./File_Size/@bytes');"	>Size 	</TH>
		</xsl:if>
		<xsl:if test="$File_Date_and_Time">
			<TH title="{$click} File date{$now}{$column})" 		onClick="sort('./File_Date_and_Time/@epsec');"	>File date	</TH>
		</xsl:if>
		<xsl:if test="$Platform">
			<TH title="{$click} Calc{$now}{$column})" 		onClick="sort('./Platform');"		>Calc		</TH>
		</xsl:if>
		<xsl:if test="$Type">
			<TH title="{$click} Type{$now}{$column})" 		onClick="sort('./Type');"		>Type		</TH>
		</xsl:if>
		<xsl:if test="$Category">
			<TH title="{$click} Category{$now}{$column})" 		onClick="sort('./Category');"		>Category	</TH>
		</xsl:if>
		<xsl:if test="$Title">
			<TH title="{$click} Title{$now}{$column})" 		onClick="sort('./Title');"		>Title	</TH>
		</xsl:if>
		<xsl:if test="$total_download_PR or $total_download_bar or $total_download_value">
			<TH title="{$click} total download{$now}{$column})" 	onClick="sort('./total_download');" colspan="{$total_download_PR+$total_download_bar + $total_download_value}" >Total download</TH>
		</xsl:if>
		<xsl:if test="$total_download_rank">
			<TH><A target="_blank" HREF="http://www.ticalc.org/archives/files/stats.html#2">rank</A></TH>
		</xsl:if>
		<xsl:if test="$week_download_PR or $week_download_bar or $week_download_value">	
			<TH title="{$click} week downloads{$now}{$column})" 	onClick="sort('./week_download');" colspan="{$week_download_PR+$week_download_bar + $week_download_value}" >Week download</TH>
		</xsl:if>
		<xsl:if test="$week_download_rank">
			<TH><A target="_blank" HREF="http://www.ticalc.org/archives/files/stats.html#1">rank</A></TH>
		</xsl:if>
		<xsl:if test="$rating_bar">
			<TH title="{$click} Rating{$now}{$column})" 		onClick="sort('./Rating');"		>User rating</TH>
		</xsl:if>
		<xsl:if test="$rating_rank">
			<TH><A target="_blank" HREF="http://www.ticalc.org/archives/files/stats.html#3">rank</A></TH>
		</xsl:if>
		</TR>

	<!-- Table content -->
	<xsl:apply-templates select="//FILE"><xsl:sort select="./@name" order="ascending" data-type="text"/></xsl:apply-templates>
			
		<!-- Averages -->
	<TR class="final">
		<xsl:if test="$Name"><TD>	<B>Averages</B>	</TD></xsl:if>
		<xsl:if test="$zip">
				<TD align="right"><xsl:value-of select="format-number(count(//FILE/Zip/File) div count(//FILE/Zip),'#,###.##')"/></TD>
		</xsl:if>
		<xsl:if test="$ss">
				<TD align="right"><xsl:value-of select="format-number(count(//screenshots/ss) div count(//FILE),'#,###.##')"/></TD>
		</xsl:if>
		<xsl:if test="$File_Size">
			<xsl:call-template name="File_Size">
				<xsl:with-param name="value" select="sum(//FILE/File_Size/@bytes) div count(//FILE)"/>
				<xsl:with-param name="value2" select="sum(//FILE/Zip/File/@bytes) div count(//FILE)"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$File_Date_and_Time">
			<TD class="date"><xsl:value-of select="//MEANDATE"/></TD>
		</xsl:if>
		<xsl:if test="$Platform+$Type+$Category+$Title &gt; 0"><TD colspan="{$Platform+$Type+$Category+$Title}"/></xsl:if>
		<xsl:if test="$total_download_PR">
			<TD align="right"><I><xsl:value-of select="format-number(sum(//PR/@t) div count(//PR/@t),'#,###,###')"/></I></TD>
		</xsl:if>
		<xsl:if test="$total_download_bar">
			<xsl:call-template name="total_download_bar">
				<xsl:with-param name="value" select="//general/total_download div //general/num_files"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$total_download_value"><TD ALIGN="right">
			<div class="significant"><xsl:value-of select="format-number(//general/total_download div //general/num_files,'#,###.#')"/></div>
		</TD></xsl:if>
		<xsl:if test="$total_download_rank"><TD ALIGN="right">
			<xsl:value-of select="format-number(sum(//FILE/total_download/@rank) div //general/num_files,'#,###,###')"/>
		</TD></xsl:if>
		<xsl:if test="$week_download_PR">
			<TD align="right"><I><xsl:value-of select="format-number(sum(//PR/@w) div count(//PR/@w),'#,###,###')"/></I></TD>
		</xsl:if>
		<xsl:if test="$week_download_bar">
			<xsl:call-template name="week_download_bar">
				<xsl:with-param name="value" select="//general/week_download div //general/num_files"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$week_download_value"><TD ALIGN="right">
			<div class="significant"><xsl:value-of select="format-number(//general/week_download div //general/num_files,'#.##')"/></div>
		</TD></xsl:if>
		<xsl:if test="$week_download_rank"><TD ALIGN="right">
			<xsl:value-of select="format-number(sum(//FILE/week_download/@rank) div //general/num_files,'#,###,###')"/>
		</TD></xsl:if>
		<xsl:if test="$rating_bar">
			<xsl:call-template name="rating_bar">
				<xsl:with-param name="value" select="sum(//FILE/Rating) div count(//FILE/Rating)"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$rating_rank">
			<xsl:call-template name="rating_rank">
				<xsl:with-param name="value" select="sum(//FILE/Rating/@rank) div count(//FILE/Rating)"/>
			</xsl:call-template>
		</xsl:if>
	</TR>
	
	<!-- Totals -->
	<TR class="final">
		<xsl:if test="$Name"><TD>	<B>Totals</B>	</TD></xsl:if>
		<xsl:if test="$zip">
				<TD align="right"><xsl:value-of select="count(//FILE/Zip/File)"/></TD>
		</xsl:if>
		<xsl:if test="$ss">
				<TD align="right"><xsl:value-of select="count(//screenshots/ss)"/></TD>
		</xsl:if>
		<xsl:if test="$File_Size">
			<xsl:call-template name="File_Size">
				<xsl:with-param name="value" select="sum(//FILE/File_Size/@bytes)"/>
				<xsl:with-param name="value2" select="sum(//FILE/Zip/File/@bytes)"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$File_Date_and_Time+$Platform+$Type+$Category+$Title &gt; 0"><TD colspan="{$File_Date_and_Time+$Platform+$Type+$Category+$Title}"/></xsl:if>
		<xsl:if test="$total_download_PR">
			<TD align="right"><I><xsl:value-of select="//PRMAX/@t"/></I></TD>
		</xsl:if>
		<xsl:if test="$total_download_bar"><TD/></xsl:if>
		<xsl:if test="$total_download_value"><TD ALIGN="right">
			<div class="significant"><xsl:value-of select="format-number(//general/total_download,'#,###,###')"/></div>
		</TD></xsl:if>
		<xsl:if test="$total_download_rank"><TD ALIGN="right">
			<A target="_blank" href="http://www.ticalc.org/archives/files/authors.html#3">
				<xsl:value-of select="format-number(//general/total_download/@rank,'#,###,###')"/>
			</A>
		</TD></xsl:if>
		<xsl:if test="$week_download_PR">
			<TD align="right"><I><xsl:value-of select="//PRMAX/@w"/></I></TD>
		</xsl:if>
		<xsl:if test="$week_download_bar"><TD/></xsl:if>
		<xsl:if test="$week_download_value"><TD ALIGN="right">
			<div class="significant"><xsl:value-of select="format-number(//general/week_download,'#,###')"/></div>
		</TD></xsl:if>
		<xsl:if test="$week_download_rank"><TD ALIGN="right">
			<A target="_blank" href="http://www.ticalc.org/archives/files/authors.html#2">
				<xsl:value-of select="format-number(//general/week_download/@rank,'#,###,###')"/>
			</A>
		</TD></xsl:if>
		<xsl:if test="$rating_bar"><TD ALIGN="right" TITLE="This is the number of rated files.">
			<xsl:value-of select="format-number(count(//Rating/@rank),'#,###,###')"/>
		</TD></xsl:if>
		<xsl:if test="$rating_rank"><TD/></xsl:if>

	</TR>
</TABLE>
<BR/>
<!-- Additional information -->
Send your <A target="_blank" class="eyecatch" href="mailto:roac@pandora.be" title="Don't hesitate!">feedback</A>!<BR/>
<A target="_blank" class="eyecatch" href="mailto:roac@pandora.be?subject=bug found!" title="Don't hesitate!">report</A> a bug<BR/>
<A target="_blank" class="eyecatch" href="mailto:roac@pandora.be?subject=help!" title="Don't hesitate!">I need help !!</A><BR/>
I have a <A target="_blank" class="eyecatch" href="mailto:roac@pandora.be?subject=question" title="Don't hesitate!">question</A><BR/>
<BR />
<A target="_blank" href="manual.doc">view manual</A><BR/><BR/>
created with <A target="_blank" href="http://blob.perl.org/books/impatient-perl/iperl.pdf" title="Quick introduction to Perl">Perl</A> on <xsl:value-of select="//CREATETIME"/> (<xsl:value-of select="//CREATETIME/@zone"/>)
<BR/>
Powered by <A target="_blank" href="http://www.w3schools.com/xsl/" title="Quick introduction to XSLT">XML and XSL</A>
<span class="IEtooltip"/>
</BODY>
</HTML>

</xsl:template>






<!-- Each file is processed with this template -->


<xsl:template match="//FILE">
	<xsl:variable name="oe"><xsl:choose>
		<xsl:when test="(position() mod 2)=0">odd</xsl:when>
		<xsl:otherwise>even</xsl:otherwise>
	</xsl:choose></xsl:variable>
	<TR class="{$oe}">
		<xsl:if test="$Name"><xsl:call-template name="Name"/></xsl:if>
		<xsl:if test="$zip"><xsl:call-template name="zip"/></xsl:if>
		<xsl:if test="$ss"><xsl:call-template name="ss"/></xsl:if>
		<xsl:if test="$File_Size"><xsl:call-template name="File_Size"/></xsl:if>
		<xsl:if test="$File_Date_and_Time"><xsl:call-template name="File_Date_and_Time"/></xsl:if>
		<xsl:if test="$Platform"><xsl:call-template name="Platform"/></xsl:if>
		<xsl:if test="$Type"><xsl:call-template name="Type"/></xsl:if>
		<xsl:if test="$Category"><xsl:call-template name="Category"/></xsl:if>
		<xsl:if test="$Title"><xsl:call-template name="Title"/></xsl:if>
		<xsl:if test="$total_download_PR"><xsl:call-template name="total_download_PR"/></xsl:if>
		<xsl:if test="$total_download_bar"><xsl:call-template name="total_download_bar"/></xsl:if>
		<xsl:if test="$total_download_value"><xsl:call-template name="total_download_value"/></xsl:if>
		<xsl:if test="$total_download_rank"><xsl:call-template name="total_download_rank"/></xsl:if>
		<xsl:if test="$week_download_PR"><xsl:call-template name="week_download_PR"/></xsl:if>
		<xsl:if test="$week_download_bar"><xsl:call-template name="week_download_bar"/></xsl:if>
		<xsl:if test="$week_download_value"><xsl:call-template name="week_download_value"/></xsl:if>
		<xsl:if test="$week_download_rank"><xsl:call-template name="week_download_rank"/></xsl:if>
		<xsl:if test="$rating_bar"><xsl:call-template name="rating_bar"/></xsl:if>
		<xsl:if test="$rating_rank"><xsl:call-template name="rating_rank"/></xsl:if>
		</TR>
</xsl:template>

<!--**************************************************************-->
<!--**************************************************************-->
<!--**************************************************************-->
<!--  		Misc. Templates						-->
<!--**************************************************************-->



	<!-- This template draws those pretty colored bars -->	
<xsl:template name="hbar">
<xsl:param name="width"/>
<xsl:param name="r"/>
<xsl:param name="g"/>
<xsl:param name="b"/>
<xsl:param name="ncolor"/>
<xsl:param name="color-scheme"/>

<xsl:variable name="color">

<xsl:choose>
<xsl:when test="not(boolean($ncolor)) and not(boolean($color-scheme))">
<xsl:value-of select="concat('rgb(',round($r),',',round($g),',',round($b),')')"/>
</xsl:when>
<xsl:when test="not(boolean($ncolor)) and $color-scheme='pg'">
<xsl:value-of select="concat('rgb(',100-round($width),'%,',round($width),'%,',100-round($width),'%)')"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$ncolor"/>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:if test="$width &lt;= 100.01">
	<table cellspacing="0" class="ind">
		<div class="hr">
			<xsl:if test="$width &gt;0"><p 	class="hr"
				style="width: {$width}%; 
				background-color: {$color};
				color: {$color}"
			>.</p></xsl:if>
		</div>
	</table>
</xsl:if>
<xsl:if test="$width &gt; 100.01">
	<table cellspacing="0" class="ind">
		<div class="hroverflow">
			<p 	class="hr"
				style="width: 100%; 
				background-color: {$color};
				color: {$color}"
			>.</p>
		</div>
	</table>
</xsl:if>
</xsl:template>

<xsl:template name="Name">
	<xsl:variable name="Caption"><B>Contribution date: </B><xsl:value-of select="./File_Date_and_Time"/><BR/><B>&#13;File size: </B><xsl:value-of select="./File_Size"/><BR/><B>&#13;Files in <xsl:value-of select="./@name"/>: </B><xsl:value-of select="string(./Zip)"/>
	</xsl:variable>
	<TD title="{$Caption}" onMouseOver="tooltip(this);">
		<div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div>
		<A target="_blank" HREF="http://www.ticalc.org{./@URL}">
			<IMG BORDER="0" SRC="http://www.ticalc.org{./@status}" />
			<xsl:value-of select="./@name"/>
		</A>
	</TD>
</xsl:template>
<xsl:template name="zip">
	<xsl:param name="value" select="count(./Zip/File)"/>
	<xsl:variable name="Caption"><table><xsl:for-each select="./Zip/File"><tr><td><xsl:if test="boolean(@URL)=false"><xsl:value-of select="."/>: </xsl:if><xsl:if test="@URL"><A target="_blank" HREF="http://www.ticalc.org{@URL}"><xsl:value-of select="."/></A>: </xsl:if></td><td><xsl:value-of select="format-number(@bytes div 1024,'#,###,##0.##')"/> KB&#13;</td></tr></xsl:for-each></table></xsl:variable>
	<TD align="right" title="{$Caption}" onMouseOver="tooltip(this);"><div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div><xsl:value-of select="format-number($value,'#,###.##')"/></TD>
</xsl:template>
<xsl:template name="ss">
	<xsl:param name="value" select="count(./screenshots/ss)"/>
	<xsl:variable name="Caption"><xsl:for-each select="./screenshots/ss"><img url="http://www.ticalc.org{.}" border="1"/></xsl:for-each></xsl:variable>
	<TD align="right" title="{$Caption}" onMouseover="enable_image(this);tooltip(this);" onMouseout="disable_image(this);"><div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div><xsl:value-of select="format-number($value,'#,##0.##')"/></TD>
</xsl:template>
<xsl:template name="File_Size">
	<xsl:param name="value" select="./File_Size/@bytes"/>
	<xsl:param name="value2" select="sum(./Zip/File/@bytes)"/>
	<xsl:variable name="Caption">Compressed: <xsl:value-of select="format-number($value,'###,###,###')"/> bytes. (=<xsl:value-of select="format-number($value div 1024,'###,###,###.##')"/> KB<xsl:if test="$value &gt; 20000"> = <xsl:value-of select="format-number($value div (1024* 1024),'###,###,###.##')"/> MB</xsl:if>)<BR/>&#13;This is <xsl:value-of select="format-number($value *100 div sum(//FILE/File_Size/@bytes),'#0.##')"/>% of the total uploaded compressed bytes.<BR/>&#13;Uncompressed: <xsl:value-of select="format-number($value2,'###,###,###')"/> bytes. (=<xsl:value-of select="format-number($value2 div 1024,'###,###,###.##')"/> KB<xsl:if test="$value2 &gt; 20000"> = <xsl:value-of select="format-number($value2 div (1024* 1024),'###,###,###.##')"/> MB</xsl:if>)<BR/>&#13;This is <xsl:value-of select="format-number($value2 *100 div sum(//FILE/Zip/File/@bytes),'#0.##')"/>% of the total uploaded uncompressed bytes.</xsl:variable>
	<TD align="right" title="{$Caption}" onMouseOver="tooltip(this);">
		<div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div>
		<xsl:value-of select="format-number($value,'###,###,###')"/>
	</TD>
</xsl:template>
<xsl:template name="File_Date_and_Time">
	<TD class="date">
		<xsl:value-of select="./File_Date_and_Time"/>
	</TD>
</xsl:template>
<xsl:template name="Platform">
	<TD>
		<A target="_blank" href="http://www.ticalc.org{./Platform/@URL}">
				<xsl:value-of select="./Platform"/>
		</A>
	</TD>
</xsl:template>
<xsl:template name="Type">
	<TD>
		<A target="_blank" href="http://www.ticalc.org{./Platform/@URL}{translate(./Type,'FLASHBICM','flashbicm')}/">
			<xsl:value-of select="./Type"/>
		</A>
	</TD>
</xsl:template>
<xsl:template name="Category">
	<TD>
		<A target="_blank" href="http://www.ticalc.org{./Category/@URL}">
			<xsl:value-of select="./Category"/>
		</A>
	</TD>
</xsl:template>
<xsl:template name="Title">
	<TD title="{./Description}" onMouseOver="tooltip(this);">
		<div class="cont"><span class="tooltip"><B>File description: </B><xsl:value-of select="./Description"/></span></div>
		<xsl:value-of select="./Title"/>
	</TD>
</xsl:template>
<xsl:template name="NoRank">
	<xsl:variable name="Caption">Ticalc.org doesn't provide ranking information for this category of programs (<xsl:value-of select="./Category"/>)</xsl:variable>
	<TD title="{$Caption}" onMouseOver="tooltip(this);">
		<div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div>
	</TD>
</xsl:template>
<xsl:template name="total_download_PR">
 	<xsl:variable name="count" select="./@cnt"/>	
	<xsl:variable name="value" select="//PR[@n=$count]/@t"/>
  <xsl:choose>
   <xsl:when test="$value">
	<xsl:variable name="Caption">
		<B>Private total rank: </B><xsl:value-of select="$value"/>/<xsl:value-of select="//PRMAX/@t"/>
	</xsl:variable>
	<TD ALIGN="right" title="{$Caption}" onMouseOver="tooltip(this);">
		<div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div>
		<I><xsl:value-of select="$value"/></I>
	</TD>
    </xsl:when>
    <xsl:otherwise>
	<xsl:call-template name="NoRank"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
<xsl:template name="total_download_bar">
	<xsl:param name="value" select="./total_download"/>
  <xsl:choose>
   <xsl:when test="($value+1) &gt; 0">
	<xsl:variable name="count" select="./@cnt"/>
	<xsl:variable name="total" select="round(255 div (//PRMAX/@t -1) * (//PR[@n=$count]/@t -1))"/>
	<xsl:variable name="Caption">
		<xsl:value-of select="format-number(100 div //DMAX/@t * $value,'###.00')"/>% downloads, relative to the file with most downloads.&#13;<BR/>This file owns <xsl:value-of select="format-number(100 div //general/total_download * $value,'###.00')"/>% of your downloads.&#13;<BR/><I>Double click to set this file as reference point. (Currently: <xsl:value-of select="$TotalRef"/>)</I>
	</xsl:variable>
	<TD class="ind" title="{$Caption}" onDblClick="RefP('TotalRef',{$value});" onMouseOver="tooltip(this);">
		<div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div>
		<xsl:call-template name="hbar">
			<xsl:with-param name="width" select="100 div $TotalRef * $value"/>
			<xsl:with-param name="r" select="$total"/>
			<xsl:with-param name="g" select="255-$total"/>
			<xsl:with-param name="b" select="0"/>
		</xsl:call-template>	
	</TD>
    </xsl:when>
    <xsl:otherwise>
	<xsl:call-template name="NoRank"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
<xsl:template name="total_download_value">
  <xsl:choose>
   <xsl:when test="(./total_download+1) &gt; 0">
	<xsl:variable name="count" select="./@cnt"/>
	<xsl:variable name="Caption">
		<B>Private total rank: </B><xsl:value-of select="//PR[@n=$count]/@t"/>/<xsl:value-of select="//PRMAX/@t"/>
	</xsl:variable>
	<TD nowrap="true" ALIGN="right" title="{$Caption}" onMouseOver="tooltip(this);">
		<div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div>
		<div class="significant"><xsl:value-of select="format-number(./total_download,'#,###')"/></div>
	</TD>
    </xsl:when>
    <xsl:otherwise>
	<xsl:call-template name="NoRank"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
<xsl:template name="total_download_rank">
  <xsl:choose>
   <xsl:when test="(./total_download+1) &gt; 0">
	<xsl:variable name="Caption">This rank is calculated by Ticalc.org and is based on all files in the archive.</xsl:variable>
		<TD title="{$Caption}" ALIGN="right" onMouseOver="tooltip(this);">
			<div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div>
			<xsl:value-of select="format-number(./total_download/@rank,'#,###,###')"/>
		</TD>
    </xsl:when>
    <xsl:otherwise>
	<xsl:call-template name="NoRank"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
<xsl:template name="week_download_PR">
	<xsl:variable name="count" select="./@cnt"/>
	<xsl:variable name="value" select="//PR[@n=$count]/@w"/>
<xsl:choose>
   <xsl:when test="$value">
	<xsl:variable name="Caption">
		<B>Private total rank: </B><xsl:value-of select="$value"/>/<xsl:value-of select="//PRMAX/@w"/>
	</xsl:variable>
	<TD ALIGN="right" title="{$Caption}" onMouseOver="tooltip(this);">
		<div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div>
		<I><xsl:value-of select="$value"/></I>
	</TD>
    </xsl:when>
    <xsl:otherwise>
	<xsl:call-template name="NoRank"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
<xsl:template name="week_download_bar">
	<xsl:param name="value" select="./week_download"/>
  <xsl:choose>
    <xsl:when test="($value+1) &gt; 0">
	<xsl:variable name="count" select="./@cnt"/>
	<xsl:variable name="total" select="round(255 div (//PRMAX/@w -1) * (//PR[@n=$count]/@w -1))"/>
	<xsl:variable name="Caption">
		<xsl:value-of select="format-number(100 div //DMAX/@w * $value,'###.00')"/>% downloads, relative to the file with most downloads.&#13;<BR/>This file owns <xsl:value-of select="format-number(100 div //general/week_download * $value,'###.00')"/>% of your downloads.&#13;<BR/><I>Double click to set this file as reference point. (Currently: <xsl:value-of select="$WeekRef"/>)</I>
	</xsl:variable>
	<TD class="ind" title="{$Caption}" onDblClick="RefP('WeekRef',{$value});" onMouseOver="tooltip(this);">
		<div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div>
		<xsl:call-template name="hbar">
			<xsl:with-param name="width" select="100 div $WeekRef * $value"/>
			<xsl:with-param name="r" select="$total"/>
			<xsl:with-param name="g" select="255-$total"/>
			<xsl:with-param name="b" select="0"/>
		</xsl:call-template>	
	</TD>
    </xsl:when>
    <xsl:otherwise>
	<xsl:call-template name="NoRank"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
<xsl:template name="week_download_value">
  <xsl:choose>
    <xsl:when test="(./week_download+1) &gt; 0">
	<xsl:variable name="count" select="./@cnt"/>
	<xsl:variable name="Caption">
		<B>Private total rank: </B><xsl:value-of select="//PR[@n=$count]/@w"/>/<xsl:value-of select="//PRMAX/@w"/>
	</xsl:variable>
	<TD nowrap="true" ALIGN="right" title="{$Caption}" onMouseOver="tooltip(this);">
		<div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div>
		<div class="significant"><xsl:value-of select="format-number(./week_download,'#,###')"/></div>
	</TD>
    </xsl:when>
    <xsl:otherwise>
	<xsl:call-template name="NoRank"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
<xsl:template name="week_download_rank">
  <xsl:choose>
    <xsl:when test="(./week_download+1) &gt; 0">
	<xsl:variable name="Caption">This rank is calculated by Ticalc.org and is based on all files in the archive.</xsl:variable>
		<TD title="{$Caption}" ALIGN="right" onMouseOver="tooltip(this);">
			<div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div>
			<xsl:value-of select="format-number(./week_download/@rank,'#,###,###')"/>
		</TD>
    </xsl:when>
    <xsl:otherwise>
	<xsl:call-template name="NoRank"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
<xsl:template name="rating_bar">
	<xsl:param name="value" select="./Rating"/>
	<xsl:if test="$value">
		<xsl:variable name="Caption">This file has a weighted rating average of <I><xsl:value-of select="format-number($value,'##.00')"/></I></xsl:variable>
		<TD title="{$Caption}" onMouseOver="tooltip(this);">
			<div class="cont"><span class="tooltip"><xsl:copy-of select="$Caption"/></span></div>
			<table class="ind" CELLSPACING="0">
				<tr>
					<td class="rat">
						<xsl:value-of select="format-number($value,'##.00')"/>
					</td>			
					<td class="ind2">
					<xsl:call-template name="hbar">
						<xsl:with-param name="width" select="($value - 1) div 9 * 100"/>
						<xsl:with-param name="color-scheme" select="'pg'"/>
					</xsl:call-template>
					</td>
			</tr>
			</table>
		</TD>
	</xsl:if>
	<xsl:if test="boolean($value)=false">
		<TD title="Ranking information becomes available when a file is rated at least 4 times." onMouseOver="tooltip(this);">
			<div class="cont"><span class="tooltip">Ranking information becomes available when a file is rated at least 4 times.</span></div>
		</TD>
	</xsl:if>
</xsl:template>
<xsl:template name="rating_rank">
	<xsl:param name="value" select="./Rating/@rank"/>
	<xsl:if test="$value">
		<TD ALIGN="right">
			<xsl:value-of select="format-number($value,'#,###,###')"/>
		</TD>
	</xsl:if>
	<xsl:if test="boolean($value)=false">
		<TD title="Ranking information becomes available when a file is rated at least 4 times." onMouseOver="tooltip(this);">
			<div class="cont"><span class="tooltip">Ranking information becomes available when a file is rated at least 4 times.</span></div>
		</TD>
	</xsl:if>
</xsl:template>
</xsl:stylesheet>